CopyFileTree (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.templatewizard.processes.CopyFileTree class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.templatewizard.processes
Class CopyFileTree

    java.lang.Object
      com.nokia.carbide.templatewizard.process.AbstractProcess
          com.nokia.carbide.templatewizard.process.AbstractProjectProcess
              com.nokia.carbide.templatewizard.processes.CopyFiles
                  com.nokia.carbide.templatewizard.processes.CopyFileTree

All Implemented Interfaces:
  IProcess

    public class CopyFileTree

extends CopyFiles

Process used in templates to copy a tree of files from one location to another, optionally template-expanding contents along the way. The leaf of source is NOT placed into the target, so repeat the leaf directory in targetPath if required.

Field Summary

Fields inherited from class com.nokia.carbide.templatewizard.processes.CopyFiles
`baseSourceUrl, FILE_PARAMETER, LOWER_SUFFIX, OVERWRITE_ATTRIBUTE, project, SOURCE_PATH_ATTRIBUTE, SUBSTITUTE_ATTRIBUTE, TARGET_PATH_ATTRIBUTE, templateValues, TITLE_SUFFIX, TITLELOWER_SUFFIX, UPPER_SUFFIX`

Fields inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`projectParameter`

Constructor Summary
`CopyFileTree()`

Method Summary
`void` | `process(ITemplate template, java.util.List<IParameter> parameters, IProgressMonitor monitor)` The main method called to execute this process.

Methods inherited from class com.nokia.carbide.templatewizard.processes.CopyFiles
`copyFile, getPlugin, init, postProcessContent`

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`getProjectName`

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProcess
`fail, fail, failIfFalse, failIfNull, findParameterByName, getProcessName, getRequiredAttributeFromParameter, getRequiredParameterByName, mustRunInUIThread, setRunInUIThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyFileTree

    public CopyFileTree()

Method Detail

### process

    public void process(ITemplate template,
                        java.util.List<IParameter> parameters,
                        IProgressMonitor monitor)
                 throws CoreException

  Description copied from interface: `IProcess`
  The main method called to execute this process.

  Specified by:
    `process` in interface `IProcess`
  Overrides:
    `process` in class `CopyFiles`
  Parameters:
    `template` - the `ITemplate` for this process
    `parameters` - a list of `IParameter`
    `monitor` - the `IProgressMonitor`
  Throws:
    `CoreException` - if the process fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD